package net.jansensan.robotlegstest
{
	// + ----------------------------------------
	//		[ IMPORTS ]
	// + ----------------------------------------
	
	import flash.display.Sprite;
	import flash.display.StageAlign;
	import flash.display.StageScaleMode;
	import flash.events.Event;
	
	
	/**
	 * @author Mat Janson Blanchet
	 */
	[SWF(frameRate="30", backgroundColor="#ffffff", width="520", height="600")]
	public class Main extends Sprite
	{
		// + ----------------------------------------
		//		[ VARIABLES ]
		// + ----------------------------------------
		
		private	var	_HTMLVars	:Object
		private	var	_app		:RobotLegsTestContext;
		
		
		// + ----------------------------------------
		//		[CONSTRUCTOR ]
		// + ----------------------------------------
		
		public function Main()
		{
			initStage();
			loaderInfo.addEventListener(Event.COMPLETE, loaderInfoCompleteHandler, false, 0, true);
		}
		
		
		// + ----------------------------------------
		//		[ PRIVATE/PROTECTED METHODS ]
		// + ----------------------------------------
		
		private function initStage():void
		{
			stage.align = StageAlign.TOP_LEFT;
			stage.scaleMode = StageScaleMode.NO_SCALE;
		}
		
		
		// + ----------------------------------------
		//		[ EVENT HANDLERS ]
		// + ----------------------------------------
		
		private function loaderInfoCompleteHandler(event:Event):void
		{
			loaderInfo.removeEventListener(Event.COMPLETE, loaderInfoCompleteHandler);
			_app = new RobotLegsTestContext(this, true);
		}
		
		
	}
}