package net.jansensan.robotlegstest.controller
{
	// + ----------------------------------------
	//		[ IMPORTS ]
	// + ----------------------------------------
	
	import net.jansensan.robotlegstest.RobotLegsTestContext;
	import net.jansensan.robotlegstest.model.StateModel;
	import net.jansensan.robotlegstest.model.StateModelState;
	import net.jansensan.robotlegstest.view.pages.SelectImageMediator;
	import net.jansensan.robotlegstest.view.pages.SelectImagePage;
	
	import org.robotlegs.mvcs.Command;
	
	
	/**
	 * @author Mat Janson Blanchet
	 */
	public class InitApplicationCommand extends Command
	{
		// + ----------------------------------------
		//		[ VARIABLES ]
		// + ----------------------------------------
		
		[Inject]
		public	var	stateModel	:StateModel;
		
		
		// + ----------------------------------------
		//		[ PUBLIC METHODS ]
		// + ----------------------------------------
		
		override public function execute():void
		{
			trace("\n", this, "--- execute ---");
			
			stateModel.state = StateModelState.INITIALIZING;
			mediatorMap.mapView(SelectImagePage, SelectImageMediator);
		}
		
		
	}
}