package net.jansensan.robotlegstest.controller
{
	// + ----------------------------------------
	//		[ IMPORTS ]
	// + ----------------------------------------
	
	import net.jansensan.robotlegstest.model.AssetsModel;
	
	import org.robotlegs.mvcs.Command;
	
	
	/**
	 * @author Mat Janson Blanchet
	 */
	public class LoadAssetsCommand extends Command
	{
		// + ----------------------------------------
		//		[ VARIABLES ]
		// + ----------------------------------------
		
		[Inject]
		public	var	assetsModel	:AssetsModel;
		
		
		// + ----------------------------------------
		//		[ PUBLIC METHODS ]
		// + ----------------------------------------
		
		override public function execute():void
		{
			assetsModel.loadAssets();
		}
		
		
	}
}