package net.jansensan.robotlegstest.view
{
	// + ----------------------------------------
	//		[ IMPORTS ]
	// + ----------------------------------------
	
	import com.sidlee.as3mvc.view.IView;
	import net.jansensan.robotlegstest.events.RobotLegsTestEvent;
	import net.jansensan.robotlegstest.view.preloader.PreloaderView;
	
	import flash.display.MovieClip;
	import flash.display.Sprite;
	
	
	/**
	 * @author Mat Janson Blanchet
	 */
	public class RootView extends Sprite implements IView
	{
		// + ----------------------------------------
		//		[ VARIABLES ]
		// + ----------------------------------------
		
		private	var	_preloader	:PreloaderView;
		private	var	_bg			:MovieClip;
		private	var	_title		:MovieClip;
		
		private	var	_width		:int;
		private	var	_height		:int;
		
		
		// + ----------------------------------------
		//		[CONSTRUCTOR ]
		// + ----------------------------------------
		
		public function RootView()
		{
			super();
		}
		
		
		// + ----------------------------------------
		//		[ PUBLIC METHODS ]
		// + ----------------------------------------
		
		public function resize(newWidth:int, newHeight:int):void
		{
			_width = newWidth;
			_height = newHeight;
			if(_preloader) _preloader.resize(_width, _height);
		}
		
		
		public function init():void
		{
			_preloader = new PreloaderView();
			addChild(_preloader);
		}
		
		
		public function addBasicUI():void
		{
			_bg = new BackgroundAsset();
			addChild(_bg);
			dispatchEvent(new RobotLegsTestEvent(RobotLegsTestEvent.BASIC_UI_ADDED));
		}
		
		
		public function show():void
		{
			
		}
		
		
		public function hide():void
		{
			
		}
		
		
		public function kill():void
		{
			
		}
		
		
	}
}